Subject: Re: Bug#637793: lintian: [PATCH] Improve description of versioned-dependency-satisfied-by-perl

From: Niels Thykier <[email-masked]>
Date: Mon, 15 Aug 2011 22:33:48 +0200

clone 637793 -1
retitle -1 lintian: ensure perl-provides does not incl. perl from exp
tag 637793 pending
thanks

On 2011-08-14 16:46, Dominic Hargreaves wrote:
> Package: lintian
> Version: 2.5.2
> Severity: minor
> Tags: patch
> 
> On Mon, Aug 08, 2011 at 10:40:31AM +0100, Dominic Hargreaves wrote:
>> On Mon, Aug 08, 2011 at 07:02:03AM +0000, [email-masked] wrote:
> 
>>> Commit message:
>>>
>>>     move perl 5.14 as a second alternative dependency on libextutils-parsexs-perl 2.210000
>>>     
>>>     Closes: #637033 -- FTBFS: unfullfillable first alternative in build-depends
>>
>> Damyan, thanks for fixing this. I think I was distracted by a related
>> lintian warning, which specifically suggests that perl comes first,
>> forgetting the way the autobuilders interpret this.
>>
>> I'll make a note to look at whether the lintian message should be
>> altered.
> 
> Patch attached.
> 
> Cheers,
> Dominic.
> 

Hi,

I feel a better solution would be to ensure we never emit the tag in
such case.  I suspect our data file might pick up the perl in
experimental (as well?) if refreshed on a system with experimental enabled.

Anyhow, for now I have committed this patch and cloned this bug to keep
a tracker for "the above".  Thanks for the report and patch. :)

~Niels